using System;

internal sealed class Delegate392 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate392 delegate392_1)
	{
		return delegate392_1(object_0);
	}

	public extern Delegate392(object object_0, IntPtr intptr_0);

	static Delegate392()
	{
		Class10.smethod_13(typeof(Delegate392).TypeHandle);
	}

	internal static Delegate392 delegate392_0;
}
